Package Details: pulseaudio-dlna-python3-git 0.5.2.r152.gb0db813-2

Git Clone URL: https://aur.archlinux.org/pulseaudio-dlna-python3-git.git (read-only, click to copy)
Package Base: pulseaudio-dlna-python3-git
Description: Small DLNA server which brings DLNA/UPnP support to PulseAudio
Upstream URL: https://github.com/masmu/pulseaudio-dlna
Licenses: GPL3
Conflicts: pulseaudio-dlna
Provides: pulseaudio-dlna
Submitter: polyzen
Maintainer: polyzen
Last Packager: polyzen
Votes: 2
Popularity: 0.109931
First Submitted: 2019-12-17 08:05
Last Updated: 2020-04-19 02:29

Latest Comments

1 2 Next › Last »

senorsnor commented on 2020-04-18 20:55

@polyzen: I just tested that fix and it solves the issue for me indeed! Thanks a lot.

polyzen commented on 2020-04-14 22:16

If this fixes the issue for Chromecast users, I could add it to the package: https://github.com/masmu/pulseaudio-dlna/pull/398/commits/d46f419abd5105e48342ee45219cbf557d342af4

bubuntux commented on 2020-03-05 03:01

i tried downgrading to pychromecast to 2.3.0 but still getting issue with Chromecast

polyzen commented on 2020-02-03 05:36

Thank you, Le_Birlante. Please report this upstream: https://github.com/masmu/pulseaudio-dlna/issues

Le_Birlante commented on 2020-02-01 15:50

Came here from good 'old python2-esque pulseaudio-dlna. It mostly works ok for my devices: it's able to detect and stream to my smart TVs (two samsungs and one Pana), and a Beoplay A9 too.

However, this python-3 version fails while trying to detect a Maranzt AV7702 a/v receiver, a device which worked flawlessly with the old phyton2 pulseaudio-dlna version.

If it's of some help, here is the error trace. This happens whenever I run pulseaudio-dlna with the Marantz turned on (if the Marantz is turned off, no errors will appear):

--------------------------------------------------
02-01 16:33:59 pulseaudio_dlna.application                    INFO     Using version: 0.6.0

02-01 16:33:59 pulseaudio_dlna.application                    INFO     Binding to *:8080

02-01 16:33:59 pulseaudio_dlna.application                    INFO     Starting discovery ...

02-01 16:33:59 pulseaudio_dlna.plugins.chromecast             INFO     ChromecastPlugin.discover()

02-01 16:33:59 pychromecast                                   INFO     Querying device status

Exception in thread Thread-3:

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/pyupnpv2/__init__.py", line 716, in from_xml

    xml_root = lxml.etree.fromstring(xml)

  File "src/lxml/etree.pyx", line 3236, in lxml.etree.fromstring

  File "src/lxml/parser.pxi", line 1876, in lxml.etree._parseMemoryDocument

  File "src/lxml/parser.pxi", line 1764, in lxml.etree._parseDoc

  File "src/lxml/parser.pxi", line 1127, in lxml.etree._BaseParser._parseDoc

  File "src/lxml/parser.pxi", line 601, in lxml.etree._ParserContext._handleParseResultDoc

  File "src/lxml/parser.pxi", line 711, in lxml.etree._handleParseResult

  File "src/lxml/parser.pxi", line 640, in lxml.etree._raiseParseError

  File "<string>", line 4

lxml.etree.XMLSyntaxError: xmlns:ms: ' urn:microsoft-com:wmc-1-0' is not a valid URI, line 4, column 40


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/threading.py", line 932, in _bootstrap_inner
    self.run()
  File "/usr/lib/python3.8/threading.py", line 870, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/__init__.py", line 53, in launch_discover
    discover.search(ssdp_ttl=ttl)
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/ssdp/discover.py", line 66, in search
    self._search(self.host or '', ssdp_ttl, ssdp_mx, ssdp_amount)
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/ssdp/discover.py", line 111, in _search
    self.cb_on_device_response(header, address)
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/__init__.py", line 36, in wrapper
    device = f(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/__init__.py", line 83, in _on_device_response
    return DLNAMediaRendererFactory.from_header(header)
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/renderer.py", line 290, in from_header
    upnp_device = pyupnpv2.UpnpMediaRendererFactory.from_header(header)
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/pyupnpv2/__init__.py", line 734, in from_header
    return cls.from_url(header['location'])
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/pyupnpv2/__init__.py", line 651, in from_url
    return cls.from_xml(url, response.content)
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/pyupnpv2/__init__.py", line 720, in from_xml
    xml = byto.repair_xml(xml)
  File "/usr/lib/python3.8/site-packages/pulseaudio_dlna/plugins/dlna/pyupnpv2/byto.py", line 38, in repair_xml
    bytes = re.sub(
  File "/usr/lib/python3.8/re.py", line 208, in sub
    return _compile(pattern, flags).sub(repl, string, count)
TypeError: cannot use a string pattern on a bytes-like object

---------------------------------------------

thanks,

polyzen commented on 2020-01-23 05:17

Missing dep: python-casttube

python-casttube is a dependency of python-pychromecast.

Also, you should add: provides=('pulseaudio-dlna') to the PKGBUILD

Thank you.

viperpaulo commented on 2020-01-17 07:10

Missing dep: python-casttube Also, you should add: provides=('pulseaudio-dlna') to the PKGBUILD

polyzen commented on 2020-01-10 03:06

According to this comment, Chromecast streaming works if you downgrade pychromecast to 2.3.0.

damir commented on 2020-01-01 13:22

works great - switched from pulseaudio-dlna which stopped working because of python2 issues. one thing: i had to re-install python-notify2 ... oh, python, my old friend... ahh :)

polyzen commented on 2019-12-23 10:47

Don't have a Chromecast myself. Either support for Chromecast is broken on this branch or there's a bug in pychromecast. You may want to check if your repo and AUR packages are all up-to-date.